package com.yihu.jw.restmodel.hospital.doctor;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * Created by Trick on 2019/6/18.
 */
@ApiModel(value = "WlyyDoctorWorkTimeVO", description = "医生工作时间")
public class WlyyDoctorWorkTimeVO {
    @ApiModelProperty(value = "排班id", example = "模块1")
    private String id;
    @ApiModelProperty(value = "医生code", example = "模块1")
    private String doctor;//医生code',
    @ApiModelProperty(value = "医生名称", example = "模块1")
    private String doctorName;//医生名称',
    @ApiModelProperty(value = "医院code", example = "模块1")
    private String hospital;//医院code
    @ApiModelProperty(value = "医院名称", example = "模块1")
    private String hospitalName;//医院名称
    @ApiModelProperty(value = "部门", example = "模块1")
    private String dept;//部门
    @ApiModelProperty(value = "部门名称", example = "模块1")
    private String deptName;//部门名称
    @ApiModelProperty(value = "挂号code", example = "模块1")
    private String registerCode;//挂号code',
    @ApiModelProperty(value = "挂号类别名称", example = "模块1")
    private String registerName;//挂号类别名称
    @ApiModelProperty(value = "费用", example = "模块1")
    private Double registerFee;//费用
    @ApiModelProperty(value = "1.线上；2.线下',", example = "模块1")
    private String type;//1.线上；2.线下',
    @ApiModelProperty(value = "1.上午00:00~12:00之前；2.下午12:00~00:00；',", example = "模块1")
    private String timeType;//1.上午00:00~12:00之前；2.下午12:00~00:00；',
    @ApiModelProperty(value = "开始时间", example = "模块1")
    private Date startTime;//开始时间',
    @ApiModelProperty(value = "结束时间", example = "模块1")
    private Date endTime;//结束时间',
    @ApiModelProperty(value = "号别code", example = "模块1")
    private String date;//排班日期',
    @ApiModelProperty(value = "号源间隔", example = "模块1")
    private Integer timeInterval;//号源间隔
    @ApiModelProperty(value = "号源数目", example = "模块1")
    private Integer sourceNumber;//号源间隔
    @ApiModelProperty(value = "创建时间", example = "模块1")
    private Date createTime;//创建时间',
    @ApiModelProperty(value = "当前号源数目", example = "模块1")
    private Integer count;
    @ApiModelProperty(value = "创建人", example = "模块1")
    private String createUser;//创建人
    @ApiModelProperty(value = "创建人类型1医院2医生", example = "模块1")
    private Integer createUserType;//创建人类型1医院2医生

    @ApiModelProperty(value = "当前号源时间的星期数", example = "模块1")
    private Integer weekday;//创建人类型1医院2医生

    public Integer getWeekday() {
        return weekday;
    }

    public void setWeekday(Integer weekday) {
        this.weekday = weekday;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getHospital() {
        return hospital;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getDept() {
        return dept;
    }

    public void setDept(String dept) {
        this.dept = dept;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getRegisterCode() {
        return registerCode;
    }

    public void setRegisterCode(String registerCode) {
        this.registerCode = registerCode;
    }

    public String getRegisterName() {
        return registerName;
    }

    public void setRegisterName(String registerName) {
        this.registerName = registerName;
    }

    public Double getRegisterFee() {
        return registerFee;
    }

    public void setRegisterFee(Double registerFee) {
        this.registerFee = registerFee;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTimeType() {
        return timeType;
    }

    public void setTimeType(String timeType) {
        this.timeType = timeType;
    }
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getTimeInterval() {
        return timeInterval;
    }

    public void setTimeInterval(Integer timeInterval) {
        this.timeInterval = timeInterval;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Integer getSourceNumber() {
        return sourceNumber;
    }

    public void setSourceNumber(Integer sourceNumber) {
        this.sourceNumber = sourceNumber;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public Integer getCreateUserType() {
        return createUserType;
    }

    public void setCreateUserType(Integer createUserType) {
        this.createUserType = createUserType;
    }
}
